Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jul 2025 15:01:44 +0300

> Date: Wed, 23 Jul 2025 12:59:08 +0200
> From: Samuel Thibault <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> Eli Zaretskii, le mer. 23 juil. 2025 13:50:24 +0300, a ecrit:
> > > Seb Hinderer, le mar. 22 juil. 2025 18:05:14 +0200, a ecrit:
> > > > I am not completely sure and would rather let Samuel complete here. What
> > > > I know isthat libvte is used for several terminals so I expect all of
> > > > them to  be affected.
> > > 
> > > Yes, there is a dozen of those in Debian, at least.
> > 
> > Can you name them, please?
> 
> The whole set of packages that depend on libvte is:

Thanks, but I asked only about terminals, because only those are
relevant to this discussion.  (Actually, we are only interested in
terminals on which users could run "emacs -nw".)  Can you name only
those?

> My point is: there is a dozen now, and there will be more later. We
> can't rely on knowling the list.

As mentioned earlier, Emacs already does terminal-specific stuff when
it starts, so the sheer number of affected terminals is not a problem.

> > > Yes, although libvte announces itself as xterm-256color.
> > 
> > So we could have a terminal which sets TERM=xterm-256color, but which
> > doesn't behave like xterm does?
> 
> Again, the question is: what is the expected behavior of 
> 
> echo 'a\ta'

I think I already answered that.

> And yes, a lot of terminals just announce themselves as xterm in TERM,
> that's how it is nowadays. Fighting it is a lost cause nowadays.

We have lisp/term/xterm.el where we can set the new variable to
whatever value we decide.  We don't need to fight anyone.